#!/bin/bash
# You may use this script to perform any operations after upgrading the Doctor
# This script is used once and is deleted after the upgrade
# Exit code other than 0 will show an error but the upgrade is already complete
if [ -f /var/tmp/harvester-config.ini ]; then
	echo "OK: Restoring config.ini from /var/tmp after upgrading..."
	cp -p /var/tmp/harvester-config.ini ./config.ini
	### Do we have the new CERTFLAG parameter?
	OUTPUT=`grep CERTFLAG config.ini`
	if [ "$OUTPUT" = "" ]; then
		echo "### By default the certs will be checked during wget operations" >> config.ini
		echo "### if needed and the version of wget on your system supports" >> config.ini
		echo "### this option is not recommended because of potential security risk" >> config.ini
		echo "### to use it change the line which is commented." >> config.ini
		echo "CERTFLAG=\"\"" >> config.ini
		echo "#CERTFLAG=\"--no-check-certificate\"" >> config.ini
		echo "OK: Added CERTFLAG option to config.ini"
	fi
fi
exit 0
